Bug 1191446 (CVE-2015-0226) - CVE-2015-0226 wss4j: Apache WSS4J is vulnerable to Bleichenbacher's attack (incomplete fix for CVE-2011-2487)
Summary: CVE-2015-0226 wss4j: Apache WSS4J is vulnerable to Bleichenbacher's attack (i...
Status: CLOSED ERRATA
Alias: CVE-2015-0226
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20150210,repo...
Keywords: Security
Depends On: 1191455 1196854 1196855 1196856 1196857 1196858 1196859 1196860 1196861 1196862 1196863 1196864 1196865 1196866 1196867 1196868 1196869 1196870 1196871 1196872 1196873 1196874 1196875 1196876
Blocks: 1191452 1206755 1212496 1232965 1258580 1258582 1340536
TreeView+ depends on / blocked
 
Reported: 2015-02-11 10:47 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:25 UTC (History)
61 users (show)

(edit)
It was found that a prior countermeasure in Apache WSS4J for Bleichenbacher's attack on XML Encryption (CVE-2011-2487) threw an exception that permitted an attacker to determine the failure of the attempted attack, thereby leaving WSS4J vulnerable to the attack. The original flaw allowed a remote attacker to recover the entire plain text form of a symmetric key.
Clone Of:
(edit)
Last Closed: 2016-07-12 21:24:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0773 normal SHIPPED_LIVE Important: Red Hat JBoss Data Grid 6.4.1 update 2015-04-01 18:48:20 UTC
Red Hat Product Errata RHSA-2015:0846 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.0 update 2015-04-16 20:17:12 UTC
Red Hat Product Errata RHSA-2015:0847 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.0 update 2015-04-16 20:13:53 UTC
Red Hat Product Errata RHSA-2015:0848 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.0 update 2015-04-16 20:26:01 UTC
Red Hat Product Errata RHSA-2015:0849 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.0 update 2015-04-16 19:39:06 UTC
Red Hat Product Errata RHSA-2015:1176 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.2.0 update 2015-06-23 20:52:52 UTC
Red Hat Product Errata RHSA-2015:1177 normal SHIPPED_LIVE Important: Red Hat JBoss A-MQ 6.2.0 update 2015-06-23 20:52:10 UTC
Red Hat Product Errata RHSA-2016:1376 normal SHIPPED_LIVE Critical: Red Hat JBoss SOA Platform security update 2016-07-01 01:06:13 UTC

Description Vasyl Kaigorodov 2015-02-11 10:47:44 UTC
Apache WSS4J 1.6.5 contained a countermeasure for Bleichenbacher's attack on XML Encryption, where the PKCS#1 v1.5 Key Transport Algorithm is used to encrypt symmetric keys as part of WS-Security. In particular, the fix avoided leaking information on whether decryption failed when decrypting the encrypted key or decrypting the message data.

However, it is still possible to craft a message such that an attacker can tell where the decryption failure took place, and hence WSS4J is vulnerable to the original attack. 

See here for more information on the original fix for WSS4J 1.6.5:

http://cxf.apache.org/note-on-cve-2011-2487.html
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2011-2487

This has been fixed in revision:

http://svn.apache.org/viewvc?view=revision&revision=1621329

Comment 1 Vasyl Kaigorodov 2015-02-11 10:57:46 UTC
Created wss4j tracking bugs for this issue:

Affects: fedora-all [bug 1191455]

Comment 6 errata-xmlrpc 2015-04-01 14:49:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Grid 6.4

Via RHSA-2015:0773 https://rhn.redhat.com/errata/RHSA-2015-0773.html

Comment 7 errata-xmlrpc 2015-04-16 15:39:39 UTC
This issue has been addressed in the following products:

  JBoss Enterprise Application Platform 6.4.0

Via RHSA-2015:0849 https://rhn.redhat.com/errata/RHSA-2015-0849.html

Comment 8 errata-xmlrpc 2015-04-16 16:30:01 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 6

Via RHSA-2015:0847 https://rhn.redhat.com/errata/RHSA-2015-0847.html

Comment 9 errata-xmlrpc 2015-04-16 16:32:27 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 5

Via RHSA-2015:0846 https://rhn.redhat.com/errata/RHSA-2015-0846.html

Comment 10 errata-xmlrpc 2015-04-16 16:35:01 UTC
This issue has been addressed in the following products:

  JBEAP 6.4.z for RHEL 7

Via RHSA-2015:0848 https://rhn.redhat.com/errata/RHSA-2015-0848.html

Comment 11 errata-xmlrpc 2015-06-23 16:52:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss A-MQ 6.2.0

Via RHSA-2015:1177 https://rhn.redhat.com/errata/RHSA-2015-1177.html

Comment 12 errata-xmlrpc 2015-06-23 16:53:31 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.2.0

Via RHSA-2015:1176 https://rhn.redhat.com/errata/RHSA-2015-1176.html

Comment 14 errata-xmlrpc 2016-06-30 21:06:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss SOA Platform 5.3.1

Via RHSA-2016:1376 https://access.redhat.com/errata/RHSA-2016:1376


Note You need to log in before you can comment on or make changes to this bug.